import { ComponentClass } from 'react';
import Taro, { Component, Config } from '@tarojs/taro';
import { View, Textarea, Button } from '@tarojs/components';

type PageProps = {};
type PageState = {
  text: string;
};

class Feedback extends Component<PageProps, PageState> {
  config: Config = {
    navigationBarTitleText: '意见反馈',
  };
  constructor(props) {
    super(props);
    this.state = {
      text: '',
    };
  }

  render() {
    return (
      <View className='Feedback'>
        <Textarea
          className='Feedback-input'
          value={this.state.text}
          placeholder='反馈问题不超过50字'
        />
        <Button className='Feedback-btn'>提交</Button>
      </View>
    );
  }
}

export default Feedback as ComponentClass<PageProps, PageState>;
